<?xml version="1.0" encoding="utf-8" ?> 
<IF_STEREO>
    <!-- MS Strings -->
    <STRING id="stringL" default="L"/>
    <STRING id="stringR" default="R"/>
    <STRING id="stringM" default="M"/>
    <STRING id="stringS" default="S"/>

    <STRING_LINK from="stringL" to="channel1_name" enabled="true" id="L_to_channel1_name"/>
    <STRING_LINK from="stringR" to="channel2_name" enabled="true" id="R_to_channel2_name"/>
    <STRING_LINK from="stringM" to="channel1_name" enabled="false" id="M_to_channel1_name"/>
    <STRING_LINK from="stringS" to="channel2_name" enabled="false" id="S_to_channel2_name"/>
    <PARAM_MULTI_LINK from="$stereo_mode$" to="L_to_channel1_name.enabled;R_to_channel2_name.enabled" reverse="true"/>
    <PARAM_MULTI_LINK from="$stereo_mode$" to="M_to_channel1_name.enabled;S_to_channel2_name.enabled"/>
    
    <STRING id="stringLeft" default="Use Left"/>
    <STRING id="stringRight" default="Use Right"/>
    <STRING id="stringMid" default="Use Mid"/>
    <STRING id="stringSide" default="Use Side"/>
    
    <STRING_LINK from="stringLeft" to="channel1_full_name" enabled="true" id="L_to_channel1_full_name"/>
    <STRING_LINK from="stringRight" to="channel2_full_name" enabled="true" id="R_to_channel2_full_name"/>
    <STRING_LINK from="stringMid" to="channel1_full_name" enabled="false" id="M_to_channel1_full_name"/>
    <STRING_LINK from="stringSide" to="channel2_full_name" enabled="false" id="S_to_channel2_full_name"/>
    <PARAM_MULTI_LINK from="$stereo_mode$" to="L_to_channel1_full_name.enabled;R_to_channel2_full_name.enabled" reverse="true"/>
    <PARAM_MULTI_LINK from="$stereo_mode$" to="M_to_channel1_full_name.enabled;S_to_channel2_full_name.enabled"/>
   
    <STRING id="channel1_name"/>
    <STRING id="channel2_name"/>
    <STRING id="channel1_full_name"/>
    <STRING id="channel2_full_name"/>
    <STRING id="in1_name"/>
    <STRING id="in2_name"/>
    <STRING id="out1_name"/>
    <STRING id="out2_name"/>
    <STRING id="gain1_name"/>
    <STRING id="gain2_name"/>
            
    <STRING id="stringIn" default="In ("/>
    <STRING id="stringOut" default="Out ("/>
    <STRING id="stringGain" default="Gain "/>
    <STRING id="string_close" default=")"/>
    <STRING_MULTI_LINK from="stringIn;channel1_name;string_close" to="in1_name"/>
    <STRING_MULTI_LINK from="stringIn;channel2_name;string_close" to="in2_name"/>
    <STRING_MULTI_LINK from="stringOut;channel1_name;string_close" to="out1_name"/>
    <STRING_MULTI_LINK from="stringOut;channel2_name;string_close" to="out2_name"/>
    <STRING_MULTI_LINK from="stringGain;channel1_name" to="gain1_name"/>
    <STRING_MULTI_LINK from="stringGain;channel2_name" to="gain2_name"/>

    <!-- The stereo mode enum -->
    <PARAM id="stereo_link" type="enumeration" enum_values="1;2;3;4;5;6;7" default="3"/>
    <PARAM_CONNECTION id2="stereo_link" id1="$stereo_link$"/>
    <STRING id="mode_enum_start" default="None;Average;Min;Max;Flip"/>
    <STRING_MULTI_LINK from="mode_enum_start;channel1_full_name;channel2_full_name" to="stereo_link.enum_values" separator=";"/>
    
</IF_STEREO>