<?xml version="1.0" encoding="utf-8" ?>
<DUMMY>
    <!-- General variables *****************************************************-->
    <VARIABLE id="channels_count" value="$PLUGIN_AUDIO_OUTPUTS_COUNT$"/>

    <!-- Basic definitions based on channels/bands count ***********************-->
    <DEFINE>
        <FOR_EACH_CHANNEL base_type="REPEAT" count="$channels_count$" index_name="channel_index" start="1"/>
        <IF_STEREO base_type="REPEAT" count="$channels_count$==2"/>
        <IF_MONO base_type="REPEAT" count="$channels_count$==1"/>
    </DEFINE>
        
    <!-- The mapping utilities that define the NEXT_ / CURRENT_ macros-->
    <INCLUDE_ONCE file="$THEME_NAME$-Ext/mapping_utils.inc"/>
    
    <!-- Input Parameters ******************************************************-->
    <NEXT_INPUT_PARAM id="bypass"/>

    <NEXT_INPUT_PARAM id="pre_gain"/>
    <NEXT_INPUT_PARAM id="low_cut"/>
    <NEXT_INPUT_PARAM id="high_cut"/>
    
    <NEXT_INPUT_PARAM id="sc_listen"/>
    <NEXT_INPUT_PARAM id="side_chain_select"/>
    <NEXT_INPUT_PARAM id="sc_low_cut"/>
    <NEXT_INPUT_PARAM id="sc_high_cut"/>

    <NEXT_INPUT_PARAM id="oversample"/>

    <NEXT_INPUT_PARAM id="attack"/>
    <NEXT_INPUT_PARAM id="hold"/>
    <NEXT_INPUT_PARAM id="release"/>
    <NEXT_INPUT_PARAM id="attack_shape"/>
    <NEXT_INPUT_PARAM id="release_shape"/>
    
    <NEXT_INPUT_PARAM id="rms_avg"/>
    <NEXT_INPUT_PARAM id="vca_opto"/>
    <NEXT_INPUT_PARAM id="peak_rms"/>
    
    <NEXT_INPUT_PARAM id="up_thres"/>
    <NEXT_INPUT_PARAM id="up_knee"/>
    <NEXT_INPUT_PARAM id="up_ratio"/>
    <NEXT_INPUT_PARAM id="up_range"/>

    <NEXT_INPUT_PARAM id="down_thres"/>
    <NEXT_INPUT_PARAM id="down_knee"/>
    <NEXT_INPUT_PARAM id="down_ratio"/>
    <NEXT_INPUT_PARAM id="down_range"/>

    <NEXT_INPUT_PARAM id="enable_histogram"/>
    <NEXT_INPUT_PARAM id="histogram_length"/>
    <NEXT_INPUT_PARAM id="histogram_reset"/>

    <NEXT_INPUT_PARAM id="post_gain"/>
    <NEXT_INPUT_PARAM id="auto_gain"/>
    <NEXT_INPUT_PARAM id="dry_wet"/>
    
    <NEXT_INPUT_PARAM id="brick_enable"/>
    <NEXT_INPUT_PARAM id="brick_hard_soft"/>
    <NEXT_INPUT_PARAM id="brick_release"/>

    <NEXT_INPUT_PARAM id="out_gain"/>
    
    <IF_STEREO>
        <NEXT_INPUT_PARAM id="stereo_mode"/>
        <NEXT_INPUT_PARAM id="stereo_link"/>
        <NEXT_INPUT_PARAM id="enable_ch1"/>
        <NEXT_INPUT_PARAM id="enable_ch2"/>
    </IF_STEREO>
    
    <!-- Extra UI parametrs -->
    <VARIABLE id="show_levels" value="show_levels" />
    <PARAM id="show_levels" type="boolean" default="1" persistent="true"/>
    
    <!-- Output Parameters ******************************************************-->
    <FOR_EACH_CHANNEL>
        <NEXT_PRIVATE_OUTPUT_PARAM id="input_peak$channel_index$" />
        <NEXT_PRIVATE_OUTPUT_PARAM id="input_peakhold$channel_index$" />
        <NEXT_PRIVATE_OUTPUT_PARAM id="output_peak$channel_index$"/>
        <NEXT_PRIVATE_OUTPUT_PARAM id="output_peakhold$channel_index$" />
        
        <NEXT_OUTPUT_PARAM id="comp_value$channel_index$" />
        <NEXT_OUTPUT_PARAM id="total_gain1$channel_index$" />
    </FOR_EACH_CHANNEL>
     <NEXT_OUTPUT_PARAM id="brickwall_gain" />
     
    <!-- Output Curves ******************************************************-->
    <NEXT_OUTPUT_CURVE id="dynamics_curve"/>
     <FOR_EACH_CHANNEL>
         <NEXT_OUTPUT_CURVE id="dynamics_curve_ch$channel_index$"/>
         <NEXT_OUTPUT_CURVE id="dynamics_histogram_ch$channel_index$"/>
     </FOR_EACH_CHANNEL>
</DUMMY>